## mocassin 2.02.72

=== Makefile ===
# standard
FC = mpif90
LD = mpif90

ifeq ($(FC),ifort)
  FFLAGS += -cpp -DPREFIX=\"$(PREFIX)\" -module source/
else
  FFLAGS += -cpp -Jsource/ -ffree-line-length-0 -lm -DPREFIX=\"$(PREFIX)\" -I/usr/include/mpich
endif

#IBM
#FC = mpxlf90_r
#LD = mpxlf90_r
#FFLAGS += -O3 -qstrict -qrealsize=4 -bmaxdata:0x40000000 -qmaxmem=-1 -cpp -DPREFIX=\"$(PREFIX)\"

#SUN
#FC = mpf90
#LD = mpf90
#FFLAGS += -fast -xarch=v9b -ftrap=%none -lmpi -cpp -DPREFIX=\"$(PREFIX)\"

#SGI
#FC = f90
#LD = f90
#FFLAGS += -64 -C -mpio -OPT:Olimit=3495 -O3 -lmpi -cpp -DPREFIX=\"$(PREFIX)\"

PREFIX=/usr
MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
SOURCES = source/constants_mod.o source/vector_mod.o source/common_mod.o source/interpolation_mod.o \
	source/set_input_mod.o source/hydro_mod.o source/ph_mod.o source/composition_mod.o \
	source/continuum_mod.o source/ionization_mod.o source/pathIntegration_mod.o \
	source/grid_mod.o source/dust_mod.o source/emission_mod.o source/photon_mod.o  \
	source/update_mod.o source/output_mod.o source/iteration_mod.o source/readdata_mod.o

ifeq ($(CO),debug) #to show all compiler warnings
  FFLAGS += -fbounds-check -Wall -Wuninitialized -g -pg #-ffpe-trap=zero,overflow,invalid,underflow,denormal -fbacktrace -fcheck=all
else ifeq ($(CO),valgrind)
  FFLAGS += -g
else ifeq ($(CO),gprof)
  FFLAGS += -pg
else
  FFLAGS += -O2
endif

.PHONY: all clean new install uninstall

all: mocassin mocassinWarm mocassinOutput mocassinPlot

new: clean all

%.o: %.f90
	$(FC) $(FFLAGS) $< -c -o $@

mocassin: $(SOURCES) source/mocassin.o
	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^

mocassinWarm: $(SOURCES) source/mocassinWarm.o
	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^

mocassinOutput: $(SOURCES) source/mocassinOutput.o
	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^

mocassinPlot: $(SOURCES) source/mocassinPlot.o
	$(LD) $(LDFLAGS) $(FFLAGS) -o $@ $^

clean:
	/bin/rm -f source/*.o *~ source/*.mod mocassin mocassinWarm mocassinOutput mocassinPlot

install: mocassin mocassinWarm mocassinOutput mocassinPlot
	test -e $(DESTDIR)$(PREFIX)/share/mocassin || mkdir -p $(DESTDIR)$(PREFIX)/share/mocassin
	test -e $(DESTDIR)$(PREFIX)/bin || mkdir -p $(DESTDIR)$(PREFIX)/bin
	test -e $(MANDIR) || mkdir -p $(MANDIR)
	cp -r data/ $(DESTDIR)$(PREFIX)/share/mocassin
	cp -r dustData/ $(DESTDIR)$(PREFIX)/share/mocassin
	cp -r benchmarks/ $(DESTDIR)$(PREFIX)/share/mocassin
	cp -r examples/ $(DESTDIR)$(PREFIX)/share/mocassin
	install -m 644 man/mocassin.1 $(MANDIR)
	gzip -f $(MANDIR)/mocassin.1
	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinWarm.1.gz
	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinOutput.1.gz
	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinPlot.1.gz
	install mocassin $(DESTDIR)$(PREFIX)/bin
	install mocassinWarm $(DESTDIR)$(PREFIX)/bin
	install mocassinPlot $(DESTDIR)$(PREFIX)/bin
	install mocassinOutput $(DESTDIR)$(PREFIX)/bin

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/mocassin*
	rm -f $(MANDIR)/mocassin*.1.gz
	rm -rf $(DESTDIR)$(PREFIX)/share/mocassin

=== debian/changelog ===
mocassin (2.02.72-2) unstable; urgency=low

  * simplified build dependencies (Closes: #842364)

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 31 Oct 2016 14:36:59 +0000

mocassin (2.02.72-1) unstable; urgency=low

  * new upstream version 2.02.72.  major speedup for gas models from more
    efficient data handling.

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 26 Oct 2016 10:08:09 +0100

mocassin (2.02.71-1) unstable; urgency=low

  * Initial release. (Closes: #827841)

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 17 Aug 2016 20:23:02 +0100

=== debian/control ===
Source: mocassin
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Roger Wesson <rw@nebulousresearch.org>
Build-Depends: debhelper (>= 9.0.0),
               gfortran,
               libmpich-dev
Standards-Version: 3.9.8
Homepage: http://www.3d-mocassin.net
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/mocassin.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/mocassin.git

Package: mocassin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mocassin-data
Suggests: mocassin-benchmarks, mocassin-examples
Description: MOnte CArlo SimulationS of Ionised Nebulae
 mocassin is a fully 3D or 2D photoionisation and dust radiative transfer code
 which employs a Monte Carlo approach to the transfer of radiation through
 media of arbitrary geometry and density distribution. It was originally
 developed for the modelling of photoionised regions like HII regions and
 planetary nebulae and has since expanded and been applied to a variety of
 astrophysical problems, including modelling clumpy dusty supernova envelopes,
 star forming galaxies, protoplanetary disks and inner shell fluorence emission
 in the photospheres of stars and disk atmospheres. The code can deal with
 arbitrary Cartesian grids of variable resolution, it has successfully been
 used to model complex density fields from SPH calculations and can deal with
 ionising radiation extending from Lyman edge to the X-ray. The dust and gas
 microphysics is fully coupled both in the radiation transfer and in the
 thermal balance.

Package: mocassin-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: mocassin, mocassin-benchmarks, mocassin-examples
Description: atomic and optical data for the photoionisation code MOCASSIN
 mocassin is a fully 3D or 2D photoionisation and dust radiative transfer code
 which employs a Monte Carlo approach to the transfer of radiation through
 media of arbitrary geometry and density distribution. This package contains
 the atomic and optical data necessary to run simulations.

Package: mocassin-benchmarks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: mocassin
Description: benchmarks for the photoionisation code MOCASSIN
 mocassin is a fully 3D or 2D photoionisation and dust radiative transfer code
 which employs a Monte Carlo approach to the transfer of radiation through
 media of arbitrary geometry and density distribution. This package contains
 benchmark problems which can be run and compared with the outputs of other
 photoionisation codes.

Package: mocassin-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: mocassin
Description: Examples for the photoionisation code MOCASSIN
 mocassin is a fully 3D or 2D photoionisation and dust radiative transfer code
 which employs a Monte Carlo approach to the transfer of radiation through
 media of arbitrary geometry and density distribution. This package contains
 example input for files for some of the complex simulations that MOCASSIN is
 capable of.

## mocassin 2.02.73

=== Makefile ===
--- 
+++ 
@@ -69,10 +69,10 @@
 	test -e $(DESTDIR)$(PREFIX)/share/mocassin || mkdir -p $(DESTDIR)$(PREFIX)/share/mocassin
 	test -e $(DESTDIR)$(PREFIX)/bin || mkdir -p $(DESTDIR)$(PREFIX)/bin
 	test -e $(MANDIR) || mkdir -p $(MANDIR)
-	cp -r data/ $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -r dustData/ $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -r benchmarks/ $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -r examples/ $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R data $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R dustData $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R benchmarks $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R examples $(DESTDIR)$(PREFIX)/share/mocassin
 	install -m 644 man/mocassin.1 $(MANDIR)
 	gzip -f $(MANDIR)/mocassin.1
 	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinWarm.1.gz

=== debian/changelog ===
mocassin (2.02.73-2) unstable; urgency=low

  * updated standards-version
  * updated Format url in copyright
  * fixed wrong intent on variable (Closes: #952320)

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 24 Feb 2020 14:41:24 +0000

mocassin (2.02.73-1) unstable; urgency=low

  * new upstream release

 -- Roger Wesson <rw@nebulousresearch.org>  Fri, 24 Aug 2018 21:16:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11.0.0),
                gfortran,
                libmpich-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://www.3d-mocassin.net
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/mocassin.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/mocassin.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/mocassin.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/mocassin
 
 Package: mocassin
 Architecture: any

## mocassin 2.02.73.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,6 @@
 # standard
 FC = mpif90
 LD = mpif90
-
-ifeq ($(FC),ifort)
-  FFLAGS += -cpp -DPREFIX=\"$(PREFIX)\" -module source/
-else
-  FFLAGS += -cpp -Jsource/ -ffree-line-length-0 -lm -DPREFIX=\"$(PREFIX)\" -I/usr/include/mpich
-endif
 
 #IBM
 #FC = mpxlf90_r
@@ -23,7 +17,25 @@
 #LD = f90
 #FFLAGS += -64 -C -mpio -OPT:Olimit=3495 -O3 -lmpi -cpp -DPREFIX=\"$(PREFIX)\"
 
-PREFIX=/usr
+# set prefix depending on OS
+OS := $(shell uname)
+ifeq ($(OS),Darwin)
+  PREFIX=/usr/local
+else
+  PREFIX=/usr
+endif
+
+# get version from changelog if debian package, or git log otherwise
+VERSION := $(shell if [ -e debian/ ]; then dpkg-parsechangelog -S version; elif [ "`command -v git`" != "" ]; then git describe --always --tags --dirty; else echo "2.0.73"; fi)
+
+# set flags
+
+ifeq ($(FC),ifort)
+  FFLAGS += -cpp -DPREFIX=\"$(PREFIX)\" -DVERSION=\"$(VERSION)\" -module source/
+else
+  FFLAGS += -cpp -Jsource/ -ffree-line-length-0 -lm -DPREFIX=\"$(PREFIX)\" -DVERSION=\"$(VERSION)\" -I/usr/local/include
+endif
+
 MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
 SOURCES = source/constants_mod.o source/vector_mod.o source/common_mod.o source/interpolation_mod.o \
 	source/set_input_mod.o source/hydro_mod.o source/ph_mod.o source/composition_mod.o \
@@ -67,12 +79,13 @@
 
 install: mocassin mocassinWarm mocassinOutput mocassinPlot
 	test -e $(DESTDIR)$(PREFIX)/share/mocassin || mkdir -p $(DESTDIR)$(PREFIX)/share/mocassin
+	test -e $(DESTDIR)$(PREFIX)/share/doc/mocassin || mkdir -p $(DESTDIR)$(PREFIX)/share/doc/mocassin
 	test -e $(DESTDIR)$(PREFIX)/bin || mkdir -p $(DESTDIR)$(PREFIX)/bin
 	test -e $(MANDIR) || mkdir -p $(MANDIR)
 	cp -R data $(DESTDIR)$(PREFIX)/share/mocassin
 	cp -R dustData $(DESTDIR)$(PREFIX)/share/mocassin
 	cp -R benchmarks $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -R examples $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R examples $(DESTDIR)$(PREFIX)/share/doc/mocassin
 	install -m 644 man/mocassin.1 $(MANDIR)
 	gzip -f $(MANDIR)/mocassin.1
 	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinWarm.1.gz
@@ -84,6 +97,13 @@
 	install mocassinOutput $(DESTDIR)$(PREFIX)/bin
 
 uninstall:
-	rm -f $(DESTDIR)$(PREFIX)/bin/mocassin*
-	rm -f $(MANDIR)/mocassin*.1.gz
+	rm -f $(DESTDIR)$(PREFIX)/bin/mocassin
+	rm -f $(DESTDIR)$(PREFIX)/bin/mocassinOutput
+	rm -f $(DESTDIR)$(PREFIX)/bin/mocassinPlot
+	rm -f $(DESTDIR)$(PREFIX)/bin/mocassinWarm
+	rm -f $(MANDIR)/mocassin.1.gz
+	rm -f $(MANDIR)/mocassinOutput.1.gz
+	rm -f $(MANDIR)/mocassinPlot.1.gz
+	rm -f $(MANDIR)/mocassinWarm.1.gz
 	rm -rf $(DESTDIR)$(PREFIX)/share/mocassin
+	rm -rf $(DESTDIR)$(PREFIX)/share/doc/mocassin

=== debian/changelog ===
mocassin (2.02.73.1-1) unstable; urgency=medium

  * new upstream release
  * updated Standards-Version and debhelper-compat, added Rules-Requires-Root
  * removed now-redundant patches
  * mocassinWarm, mocassinOutput and mocassinPlot now also installed

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 08 Feb 2021 14:22:59 +0000

mocassin (2.02.73-3) unstable; urgency=low

  * compile with -std=legacy to word with gcc-10 (Closes: #957555)

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 05 Aug 2020 14:33:17 +0100

## mocassin 2.02.73.2

=== Makefile ===
--- 
+++ 
@@ -88,9 +88,9 @@
 	cp -R examples $(DESTDIR)$(PREFIX)/share/doc/mocassin
 	install -m 644 man/mocassin.1 $(MANDIR)
 	gzip -f $(MANDIR)/mocassin.1
-	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinWarm.1.gz
-	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinOutput.1.gz
-	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinPlot.1.gz
+	ln -s -f mocassin.1.gz $(MANDIR)/mocassinWarm.1.gz
+	ln -s -f mocassin.1.gz $(MANDIR)/mocassinOutput.1.gz
+	ln -s -f mocassin.1.gz $(MANDIR)/mocassinPlot.1.gz
 	install mocassin $(DESTDIR)$(PREFIX)/bin
 	install mocassinWarm $(DESTDIR)$(PREFIX)/bin
 	install mocassinPlot $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
mocassin (2.02.73.2-1) unstable; urgency=medium

  * New upstream version 2.02.73.2. Closes: #982851

 -- Roger Wesson <rw@nebulousresearch.org>  Thu, 25 Feb 2021 21:13:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libmpich-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.3d-mocassin.net
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/mocassin.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/mocassin

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/mocassin.?(\d\S*)\.tar\.gz/mocassin-$1\.tar\.gz/ \
  https://github.com/rwesson/mocassin/tags .*/mocassin.?(\d\S*)\.tar\.gz
